#
# spec file for package qconfig_de (Version 8.0.0.4)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib l2h l2h-pngicons libgimpprint libjpeg libnetpbm libpng-devel-packages libtiff netpbm susedoc te_ams te_mpost te_pdf te_pscm tetex xpdf xshared
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd l2h l2h-pngicons less libgimpprint libjpeg libnetpbm libpng libpng-devel libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace susedoc syslogd sysvinit te_ams te_latex te_mpost te_pdf te_pscm tetex texinfo textutils timezone unzip util-linux vim xpdf xshared

Name:         qconfig_de
Version:      8.0.0.4
Release:      61
Source:       qconfig_de-%{version}.tar.bz2
Patch:        qconfig_de-8.0.0.4.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
Copyright:    SuSE GmbH
Requires:     l2h-pngicons
Summary:      SuSE Linux 'Basics' (German)
%define MYDOC %{_defaultdocdir}/%{name}
%define SUSEHTML /usr/share/doc/suse
%define MYHTML %{SUSEHTML}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook
%define verbose_name SuSE-Linux-Basics
%define old_name SuSE-Konf

%description
SuSE Linux Basics (German).

SuSE series: doc

%prep
#old# ImageMagick freetype2 ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib l2h libjpeg liblcms libpng libtiff libxml2 netpbm susebook susebook2html susebuch susefont te_ams te_mpost te_pdf te_pscm tetex xf86
#echo "Not useful on this architecture" && exit 1
%ifarch i386 ppc
%setup -q
%patch -p 1
%endif

%build
%ifarch i386
make x86
# %else
# make %{_target_cpu}
%endif
%ifarch ppc
make ppc
%endif
%ifarch i386 ppc
make pdfbuch
[ -f main.pdf ] || { echo "missing main.pdf: PDF creation failed"; exit 1;}
e=$(pdfinfo main.pdf 2>&1 | head -1 | grep ^Error || true)
[ -z "$e" ] || { echo "broken PDF file"; exit 1;}
mv main.pdf %{verbose_name}-%{version}.pdf
html=yes
if [ -n "$html" ]; then
  #html
  cp /usr/share/texmf/makeindex/susedoc/susedoc.perl .
  cp Ablage/* .
  latex2html -split 3 main.tex
  mv main html
fi
%endif

%install
%ifarch i386 ppc
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%endif
# # html
# install -d $RPM_BUILD_ROOT%{SUSEHTML}
# install -d $RPM_BUILD_ROOT%{MYHTML}
# install -d $RPM_BUILD_ROOT%{MYHTML}/html
# install -d $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# install -m 0644 main/main/* $RPM_BUILD_ROOT%{MYHTML}/html
# install -m 0644 main/bilder-png/*.png $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# install -m 0644 %{TEXDIR}/suse-logo.png  %{TEXDIR}/hinweis-sw-2x2.png \
#                 %{TEXDIR}/tip-sw-2x2.png %{TEXDIR}/achtung-sw-2x2.png \
#              $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# ###ln -s SuSE-Konf-%{version}.dvi SuSE-Konf.dvi
# ###ln -s SuSE-Konf-%{version}.ps.gz SuSE-Konf.ps.gz
# ####ln -s SuSE-Konf-%{version}.pdf SuSE-Konf.pdf

%post
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC}
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd
fi

%preun
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC}
  rm -f %{old_name}.pdf
  rm -f %{verbose_name}.pdf
  popd
fi

%files
%ifarch i386 ppc
%doc %{verbose_name}-%{version}.pdf
%doc html
#%dir %{SUSEHTML}
#%{MYHTML}
%endif

%changelog -n qconfig_de
* Thu Apr 18 2002 - ke@suse.de
- Enable graphics for PDF.
- Fix a reference to the Reference Manual (Printing).
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for icons
- add l2h-pngicons to neededforbuild
* Fri Mar 15 2002 - ke@suse.de
- Update to version 8.0.0.3.
- Enable HTML output (thanks to Ruediger Oertel, Roman Hodek, and
  Thomas Schraitle for help!); [# 13759].
* Fri Mar 08 2002 - ke@suse.de
- Update to version 8.0.0.3.
- Try to build HTML output format to fix # 13759; failed with "out of
  memory".
* Tue Mar 05 2002 - ke@suse.de
- Improve %%ifdef usage in spec file to make the package "succeed" on
  foreign architectures, too.
* Mon Mar 04 2002 - ke@suse.de
- Update to version 8.0.0.2.
* Tue Feb 12 2002 - ke@suse.de
- Update to version 8.0.0.1.
- Drop several neededforbuild entries (at the moment we don't call
  LaTeX2HTML); add xpdf because we want to verify resulting PDF files
  using pdfinfo.
- Test whether the PDF file is valid.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Aug 15 2001 - utuerk@suse.de
- up to 7.3.0.1
- no pdf yet
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 18 2001 - ke@suse.de
- Update to version 7.2.0.1a.
* Fri May 04 2001 - ro@suse.de
- fixed clean sequence
* Thu May 03 2001 - kukuk@suse.de
- Fix spec file, never create empty RPMs, abort on all unsupported
  architectures.
* Thu May 03 2001 - utuerk@suse.de
- new version 7.2
* Mon Mar 12 2001 - ro@suse.de
- added liblcms to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Tue Feb 20 2001 - gbrand@suse.de
- convert does not work - rebuild
* Wed Feb 14 2001 - gbrand@suse.de
- cp some pictures to its destination
* Wed Feb 14 2001 - ro@suse.de
- fixed setcolor.pl call
* Thu Jan 18 2001 - gbrand@suse.de
- changed some pics
* Wed Jan 17 2001 - gbrand@suse.de
- only html-output
* Wed Jan 17 2001 - gbrand@suse.de
- conf-file for susehelp has changed
* Tue Jan 16 2001 - gbrand@suse.de
- add html-output at ppc
* Tue Jan 16 2001 - gbrand@suse.de
- ppc does not build (fixed)
* Mon Jan 15 2001 - gbrand@suse.de
- added dvi, ps output
* Mon Jan 15 2001 - gbrand@suse.de
- first try (only html-output. make<arch> break unexpected)
